For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LoginStart trialGet a demo
  • Welcome
    • Getting Started
    • Create an API Key
    • Pagination
    • Rate Limiting
    • No-Code Integrations
  • Webhooks
  • OAuth2
  • API Reference
      • GETList publications <Badge intent="info" minimal outlined>OAuth Scope: publications:read</Badge>
      • GETGet publication <Badge intent="info" minimal outlined>OAuth Scope: publications:read</Badge>
LogoLogo
LoginStart trialGet a demo
API ReferencePublications

List publications OAuth Scope: publications:read

GET
https://api.beehiiv.com/v2/publications
GET
/v2/publications
$curl https://api.beehiiv.com/v2/publications \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "pub_ad76629e-4a39-43ad-8055-0ee89dc6db15",
5 "name": "Bee Informed",
6 "organization_name": "Barry's Hiiv",
7 "referral_program_enabled": true,
8 "created": 1715698529,
9 "stats": {
10 "active_subscriptions": 12,
11 "active_premium_subscriptions": 2,
12 "active_free_subscriptions": 10,
13 "average_open_rate": 0.8,
14 "average_click_rate": 0.45,
15 "total_sent": 12,
16 "total_unique_opened": 9,
17 "total_clicked": 6
18 }
19 }
20 ],
21 "limit": 10,
22 "page": 1,
23 "total_results": 1,
24 "total_pages": 1
25}
Retrieve all publications associated with your API key.
Was this page helpful?
Previous

Get publication OAuth Scope: publications:read

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

expandlist of enumsOptional
Optionally expand the results by adding additional information like subscription counts and engagement stats.
limitintegerOptional
A limit on the number of objects to be returned. The limit can range between 1 and 100, and the default is 10.
pageintegerOptional

Pagination returns the results in pages. Each page contains the number of results specified by the limit (default: 10).
If not specified, results 1-10 from page 1 will be returned.

directionenumOptionalDefaults to asc

The direction that the results are sorted in. Defaults to asc
asc - Ascending, sorts from smallest to largest.
desc - Descending, sorts from largest to smallest.

Allowed values:
order_byenumOptionalDefaults to created

The field that the results are sorted by. Defaults to created
created - The time in which the publication was first created.
name - The name of the publication.

Allowed values:

Response

OK
datalist of objects
limitinteger
The limit placed on the results. If no limit was specified in the request,this defaults to 10.
pageinteger>=0Defaults to 1
The page number the results are from. If no page was specified in the request, this defaults to page 1.
total_resultsinteger
The total number of results from all pages.
total_pagesinteger
The total number of pages.

Errors

400
Bad Request Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error